export interface ExperimentItemTeacher {
  id: string
  name: string
}

export interface ExperimentItem {
  course_id: string
  course_name: string
  created_operator: string
  created_operator_name: string
  created_time: string
  delete_time: string
  id: string
  length: string
  name: string
  organ_id: string
  organ_id_name: string
  project_id: string
  project_id_name: string
  score: string
  status: string
  status_name: string
  teacher: ExperimentItemTeacher[]
  type: string
  type_name: string
  updated_operator: string
  updated_operator_name: string
  updated_time: string
}

export interface ExperimentCreateItem {
  organ_id: string
  status: string
  course_id: string
  name: string
  length: string
  type: string
  score: string
  teachers_id: string
  teachers_ids?: string[]
}
